Bug 858301 - not working on 32 bits out of the box
not working on 32 bits out of the box
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openshift-origin-broker (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Troy Dawson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2012-09-18 11:35 EDT by Michael Scherer
Modified: 2012-12-20 10:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:09:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to make package work on 32 bits (1.46 KB, patch)
2012-09-18 11:35 EDT, Michael Scherer
no flags Details | Diff

  None (edit)
Description Michael Scherer 2012-09-18 11:35:16 EDT
Created attachment 614049 [details]
patch to make package work on 32 bits

Description of problem:
I tried to run openshift origin on my laptop ( a 2007 macbook, with 4g of ram )

After installation of the broker, the systemd service failed to start, because /var/www/stickshift/modules is a link to /usr/lib64/httpd/modules, and of course, on a 32 bits installation, that's wrong.

here is a patch for that, that use the good directory by default and therefor make the package arch dependant.

Another solution could be to create the directory link in %post, using %ghost, but this one is easier.
Comment 1 Troy Dawson 2012-09-24 11:34:41 EDT
After discussing this with the developers, we will change this from a no-arch to an arch rpm and link to  %{_libdir}/httpd/modules
Comment 2 Fedora Update System 2012-09-24 13:01:45 EDT
openshift-origin-broker-0.6.7-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openshift-origin-broker-0.6.7-11.fc18
Comment 3 Fedora Update System 2012-09-24 16:02:06 EDT
Package openshift-origin-broker-0.6.7-11.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openshift-origin-broker-0.6.7-11.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14671/openshift-origin-broker-0.6.7-11.fc18
then log in and leave karma (feedback).
Comment 4 Ville Skyttä 2012-10-02 14:40:12 EDT
(In reply to comment #1)
> After discussing this with the developers, we will change this from a
> no-arch to an arch rpm and link to  %{_libdir}/httpd/modules

Any particular reason the link wasn't done to %{_sysconfdir}/httpd/modules instead? That'd be arch independent and the package could be kept noarch.

If it can't be kept noarch, the empty -debuginfo package which was introduced in 0.6.7-11 should be explicitly disabled.
Comment 5 Troy Dawson 2012-10-03 09:31:56 EDT
Aahh ... that was exactly the place I was looking for.  I don't know why it didn't occur to me or any of the developers.  I will have it back to noarch, with that link later today.
Our upstream will be happy as well.  They are trying to keep as much as possible noarch.
Thank You
Comment 6 Fedora Update System 2012-10-03 10:32:51 EDT
openshift-origin-broker-0.6.7-12.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openshift-origin-broker-0.6.7-12.fc18
Comment 7 Fedora Update System 2012-12-20 10:09:51 EST
openshift-origin-broker-0.6.7-12.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.